Subject: bug#18196: 24.4.50; crash when setting face background in terminal frame

From: martin rudalics <[email-masked]>
Date: Tue, 12 Aug 2014 11:53:35 +0200

> I still have a problem regarding to tty frame height and toggling
 > menu-bar-mode even after the revision#117679 (actually, I have emacs
 > built from revision#117691).
 >
 > The symptom is that the value of frame height in frame-parameter remain
 > unchanged after menu-bar-mode is toggled.  As a result, screen is drawed
 > wrong or incorrect scroll region is set when emacs is suspended (until,
 > for example, sending SIGWINCH by kill command or by changing terminal
 > size).
 >
 > I guess change_frame_size needs to be called with updated
 > FRAME_MENU_BAR_LINES when menu-bar-mode is toggled.

I guess you're right and I did so in revision 117694 on trunk.  This
should also fix an older crash when toggling the menu bar on with a one
line high window on top of the frame.

 > If necessary, I'll file another bug report so please let me know.

Please do so if the bug persists, a new one was introduced or you
notice any other anomaly.

Thanks, martin